org.keycloak.services.managers

## Class ApplicationManager

- java.lang.Object
- - org.keycloak.services.managers.ApplicationManager

-     public class ApplicationManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApplicationManager.InstallationAdapterConfig`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jboss.logging.Logger` | `logger`
    `protected RealmManager` | `realmManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationManager()`
    `ApplicationManager(RealmManager realmManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationModel` | `createApplication(RealmModel realm, String name)`
    `boolean` | `removeApplication(RealmModel realm, ApplicationModel application)`
    `ApplicationManager.InstallationAdapterConfig` | `toInstallationRepresentation(RealmModel realmModel, ApplicationModel applicationModel, URI baseUri)`
    `String` | `toJBossSubsystemConfig(RealmModel realmModel, ApplicationModel applicationModel, URI baseUri)`
    `Set<String>` | `validateRegisteredNodes(ApplicationModel application)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.jboss.logging.Logger logger

    - #### realmManager

          protected RealmManager realmManager

  - ### Constructor Detail

    - #### ApplicationManager

          public ApplicationManager(RealmManager realmManager)

    - #### ApplicationManager

          public ApplicationManager()

  - ### Method Detail

    - #### createApplication

          public ApplicationModel createApplication(RealmModel realm,
                                           String name)

    - #### removeApplication

          public boolean removeApplication(RealmModel realm,
                                  ApplicationModel application)

    - #### validateRegisteredNodes

          public Set<String> validateRegisteredNodes(ApplicationModel application)

    - #### toInstallationRepresentation

          public ApplicationManager.InstallationAdapterConfig toInstallationRepresentation(RealmModel realmModel,
                                                                                  ApplicationModel applicationModel,
                                                                                  URI baseUri)

    - #### toJBossSubsystemConfig

          public String toJBossSubsystemConfig(RealmModel realmModel,
                                      ApplicationModel applicationModel,
                                      URI baseUri)

Copyright © 2014. All Rights Reserved.